Package com.sas.services.information.search

# Enum Class SortOrder

java.lang.Object
java.lang.Enum<SortOrder>
com.sas.services.information.search.SortOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<SortOrder>`, `java.lang.constant.Constable`

public enum SortOrder extends Enum<SortOrder>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATED_DATE`
  `DESCRIPTION`
  `MODIFIED_DATE`
  `NAME`
  `PATH`
  `TYPE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SORT_BY_CREATEDATE`
  `static final String`
  `SORT_BY_DESC`
  `static final String`
  `SORT_BY_MODIFIEDDATE`
  `static final String`
  `SORT_BY_NAME`
  `static final String`
  `SORT_BY_PATH`
  `static final String`
  `SORT_BY_TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Comparator<PublicObjectInterface>`
  `getComparator(SortOrder[] order)`
  `static SortOrder[]`
  `getDefaultOrder()`
  `static SortOrder`
  `getSortOrder(String sortItem)`
  `String`
  `getStringValue()`
  `static boolean`
  `isSortingEnabled()`
  `static void`
  `setSortingEnabled(boolean sortingAllowed)`
  `static SortOrder`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SortOrder[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NAME

    public static final SortOrder NAME

  - ### TYPE

    public static final SortOrder TYPE

  - ### DESCRIPTION

    public static final SortOrder DESCRIPTION

  - ### CREATED_DATE

    public static final SortOrder CREATED_DATE

  - ### MODIFIED_DATE

    public static final SortOrder MODIFIED_DATE

  - ### PATH

    public static final SortOrder PATH

- ## Field Details

  - ### SORT_BY_NAME

    public static final String SORT_BY_NAME

  - ### SORT_BY_TYPE

    public static final String SORT_BY_TYPE

  - ### SORT_BY_DESC

    public static final String SORT_BY_DESC

  - ### SORT_BY_CREATEDATE

    public static final String SORT_BY_CREATEDATE

  - ### SORT_BY_MODIFIEDDATE

    public static final String SORT_BY_MODIFIEDDATE

  - ### SORT_BY_PATH

    public static final String SORT_BY_PATH

- ## Method Details

  - ### values

    public static SortOrder[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SortOrder valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getStringValue

    public String getStringValue()

  - ### getDefaultOrder

    public static SortOrder[] getDefaultOrder()

  - ### isSortingEnabled

    public static boolean isSortingEnabled()

  - ### setSortingEnabled

    public static void setSortingEnabled(boolean sortingAllowed)

  - ### getSortOrder

    public static SortOrder getSortOrder(String sortItem)

  - ### getComparator

    public static Comparator<PublicObjectInterface> getComparator(SortOrder[] order)